Schedule a backfill for rules
- Base URL
-
https://{kibana_url}
-
POST
/api/alerting/rules/backfill/_schedule
-
POST
/s/{space_id}/api/alerting/rules/backfill/_schedule
Auth
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
A required header to protect against CSRF attacks
<array> object[] · min items: 1 · max items: 100
-
ranges
object[]
required
-
Indicates a successful call.
application/json
An array; each item is any of:
-
created_at
string
required
-
initiator
enum
required
-
Values:
user
system
-
rule
object
required
-
-
api_key_created_by_user
boolean
nullable
-
api_key_owner
string · default: null
nullable
-
created_at
string
required
-
created_by
string · default: null
nullable
-
params
map string to object
required
-
The parameters for the rule.
-
rule_type_id
string
required
-
schedule
object
required
-
-
updated_at
string
required
-
updated_by
string · default: null
nullable
-
schedule
object[]
required
-
-
status
enum
required
-
Values:
complete
pending
running
error
timeout
-
status
enum
required
-
Values:
complete
pending
running
error
timeout
-
error
object
required
-
-
rule
object
required
-
400
Indicates an invalid schema or parameters.
403
Indicates that this call is forbidden.
404
Indicates a rule with the given ID does not exist.